<?php
    $now = new DateTime();
    $current_year = $now->format("Y");
?>

<script>
var default_start_day = '<?php echo $defaults["start_day"] ?>';
var default_end_day = '<?php echo $defaults["end_day"] ?>';

$(document).ready(function() {
	update_days_in_month("start");
	update_days_in_month("end");

	// Do this whenever a month or year changes
	$('.start_selects').change(function() {
		update_days_in_month("start");
	});

	$('.end_selects').change(function() {
		update_days_in_month("end");
	});

	$('select[name="start_day"]').change(function() {
		default_start_day = $('select[name="start_day"] option:selected').val();
	});

	$('select[name="end_day"]').change(function() {
		default_start_day = $('select[name="end_day"] option:selected').val();
	});
});

function update_days_in_month(type) {
	var new_options = '<option value="">Day</option>';
	var default_day = 0;
	if (type == "start") {
		default_day = default_start_day;
	} else if (type == "end") {
		default_day = default_end_day;
	}

	$.get('<?php echo site_url("api/get_days_in_month"); ?>', { month: $('select[name="'+type+'_month"] option:selected').val(), year: $('select[name="'+type+'_year"] option:selected').val() }, function(data) {
		var days = parseInt(data);
		for (var i = 1; i <= days; i++) {
			var selected = "";
			if (i == parseInt(default_day)) {
				selected = " selected";
			}
			new_options = new_options + '<option value="' + i + '"' + selected + '>' + i + '</option>';
		}
		$('select[name="'+type+'_day"]').html(new_options);
	}, 'text');
}
</script>

<fieldset>
    <div class="control-group">
        <label class="control-label required">Start Date (MM/DD/YYYY)</label>
        <div class="controls">
            <select name="start_month" class="span1 start_selects">
                <option value="">Month</option>
                <?php for($i=1; $i<13; $i++): ?>
                <option value="<?php echo sprintf("%02d", $i) ?>" <?php echo reactor_option_selected('start_month', sprintf("%02d", $i), $defaults) ?>><?php echo sprintf("%02d", $i) ?></option>
                <?php endfor; ?>
            </select>
            <select name="start_day" class="span1">
                <option value="">Day</option>
                <?php for($i=1; $i<32; $i++): ?>
                <option value="<?php echo $i ?>" <?php echo reactor_option_selected('start_day', $i, $defaults) ?>><?php echo $i ?></option>
                <?php endfor; ?>
            </select>
            <select name="start_year" class="span1 start_selects" style="width: 66px;">
                <option value="">Year</option>
                <?php for($i=$current_year; $i<$current_year+41; $i++): ?>
                <option value="<?php echo sprintf("%02d", $i) ?>" <?php echo reactor_option_selected('start_year', sprintf("%02d", $i), $defaults) ?>><?php echo sprintf("%02d", $i) ?></option>
                <?php endfor; ?>
            </select>			
            <?php echo form_error('start_day') ?>
            <?php echo form_error('start_month') ?>
			<?php echo form_error('start_year') ?>
            <span class="help-inline">
                <?php echo question_tooltip('Return true if date the chain is run is between the given start and end value.'); ?>
            </span>
        </div>
    </div>

    <div class="control-group">
        <label class="control-label required">End Date (MM/DD/YYYY)</label>
        <div class="controls">
            <select name="end_month" class="span1 end_selects">
                <option value="">Month</option>
                <?php for($i=1; $i<13; $i++): ?>
                <option value="<?php echo sprintf("%02d", $i) ?>" <?php echo reactor_option_selected('end_month', sprintf("%02d", $i), $defaults) ?>><?php echo sprintf("%02d", $i) ?></option>
                <?php endfor; ?>
            </select>
            <select name="end_day" class="span1">
                <option value="">Day</option>
                <?php for($i=1; $i<32; $i++): ?>
                <option value="<?php echo $i ?>" <?php echo reactor_option_selected('end_day', $i, $defaults) ?>><?php echo $i ?></option>
                <?php endfor; ?>
            </select>
            <select name="end_year" class="span1 end_selects" style="width: 66px;">
                <option value="">Year</option>
                <?php for($i=$current_year; $i<$current_year+41; $i++): ?>
                <option value="<?php echo sprintf("%02d", $i) ?>" <?php echo reactor_option_selected('end_year', sprintf("%02d", $i), $defaults) ?>><?php echo sprintf("%02d", $i) ?></option>
                <?php endfor; ?>
            </select>			
            <?php echo form_error('end_day') ?>
            <?php echo form_error('end_month') ?>
			<?php echo form_error('end_year') ?>
            <span class="help-inline">
                <?php echo question_tooltip('Return true if date the chain is run is between the given start and end value.'); ?>
            </span>
        </div>
    </div>
	
	

</fieldset>
